Universes ESG Cases Report
Trigger an asynchronous ESG Cases CSV report for one universe (aggregated data for all entities)
CSV report schema
The generated task produces a CSV report with these columns.
UNGC columns are only present if your account has access to UNGC data. Contact your account manager if you want to enable UNGC access.
Request
Request Body
start_datedate (operator)Start date
You can input a date or use the following operators: lt (<), lte (≤), gt (>), gte (≥), eq (=), between
Example: "between:2022-01-01;2022-01-02"last_activitydate (operator)Last activity date
You can input a date or use the following operators: lt (<), lte (≤), gt (>), gte (≥), eq (=), between
Example: "between:2022-01-01;2022-01-02"
{
"start_date": "between:2022-01-01;2022-01-02",
"last_activity": "between:2022-01-01;2022-01-02"
}Response
Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "start_date",
"reason": "invalid_type"
}
]
}Unauthorized
message*stringError message.
Example: "Authorization header is expected"code*number (enum)Error code.
Values: 401reason*string (enum)Error reason.
Values: "unauthorized"errors*object[]Array length: [1, 1]
{
"message": "Authorization header is expected",
"code": 401,
"reason": "unauthorized",
"errors": [
{
"message": "Required",
"field": "headers.authorization",
"reason": "invalid_type"
}
]
}Not found
message*stringError message.
Example: "The requested universe does not exist or is not visible to your company."code*number (enum)Error code.
Values: 404reason*string (enum)Error reason.
Values: "not_found"
{
"message": "The requested universe does not exist or is not visible to your company.",
"code": 404,
"reason": "not_found"
}Too many requests
message*stringError message.
Example: "You already have 5 tasks in progress. Please wait for one to finish before starting a new one."code*number (enum)Error code.
Values: 429reason*string (enum)Error reason.
Values: "too_many_requests"
{
"message": "You already have 5 tasks in progress. Please wait for one to finish before starting a new one.",
"code": 429,
"reason": "too_many_requests"
}Generic errors are not shown, see Errors for more details.